Bug 1276475 - [GSS] (6.4.z) PicketLink STS does not decrypt encrypted tokens
Summary: [GSS] (6.4.z) PicketLink STS does not decrypt encrypted tokens
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.4.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ivo Studensky
QA Contact: Josef Cacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 19:21 UTC by dhorton
Modified: 2019-08-15 05:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-30 10:29:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker PLINK-724 0 Major Open PicketLink STS does not decrypt encrypted tokens 2018-07-19 13:23:05 UTC

Description dhorton 2015-10-29 19:21:50 UTC
Description of problem:


The PicketLink STS does not include code to decrypt the encrypted tokens.

org/picketlink/identity/federation/core/wstrust/PicketLinkSTS.handleTokenRequest() calls org/picketlink/identity/federation/core/wstrust/StandardRequestHandler.postProcess() to encrypt the token. There is no code to decrypt the token on the validate call.


Note You need to log in before you can comment on or make changes to this bug.